Package org.eclipse.rdf4j.sail.config

## Class AbstractDelegatingSailImplConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

- All Implemented Interfaces:
    `DelegatingSailImplConfig`, `SailImplConfig`
  Direct Known Subclasses:
    `AbstractLuceneSailConfig`, `CustomGraphQueryInferencerConfig`, `DedupingInferencerConfig`, `DirectTypeHierarchyInferencerConfig`, `ForwardChainingRDFSInferencerConfig`, `SchemaCachingRDFSInferencerConfig`, `ShaclSailConfig`

      public abstract class AbstractDelegatingSailImplConfig
      extends AbstractSailImplConfig
      implements DelegatingSailImplConfig

  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDelegatingSailImplConfig()` | Create a new RepositoryConfigImpl.
    `AbstractDelegatingSailImplConfig​(String type)` | Create a new RepositoryConfigImpl.
    `AbstractDelegatingSailImplConfig​(String type, SailImplConfig delegate)` | Create a new RepositoryConfigImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `export​(Model m)` |
    `SailImplConfig` | `getDelegate()` |
    `void` | `parse​(Model m, Resource implNode)` |
    `void` | `setDelegate​(SailImplConfig delegate)` |
    `void` | `validate()` | Validates this configuration.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Constructor Detail

    - #### AbstractDelegatingSailImplConfig

          public AbstractDelegatingSailImplConfig()

      Create a new RepositoryConfigImpl.

    - #### AbstractDelegatingSailImplConfig

          public AbstractDelegatingSailImplConfig​(String type)

      Create a new RepositoryConfigImpl.

    - #### AbstractDelegatingSailImplConfig

          public AbstractDelegatingSailImplConfig​(String type,
                                                  SailImplConfig delegate)

      Create a new RepositoryConfigImpl.

  - ### Method Detail

    - #### getDelegate

          public SailImplConfig getDelegate()

      Specified by:
        `getDelegate` in interface `DelegatingSailImplConfig`

    - #### setDelegate

          public void setDelegate​(SailImplConfig delegate)

    - #### validate

          public void validate()
                        throws SailConfigException

      Description copied from interface: `SailImplConfig`
      Validates this configuration. A `SailConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `SailImplConfig`
      Overrides:
        `validate` in class `AbstractSailImplConfig`
      Throws:
        `SailConfigException` - If the configuration is invalid.

    - #### export

          public Resource export​(Model m)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `AbstractSailImplConfig`

    - #### parse

          public void parse​(Model m,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `AbstractSailImplConfig`
      Throws:
        `SailConfigException`